# Copyright (C) 2020-2024 MicroSys Electronics GmbH

FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"
PATCHTOOL = "git"
PATCH_COMMIT_FUNCTIONS = "1"

SRCREV = "bb4957067d4b96a6ee197a333425948e409e990d"

#DEPENDS:append:mpxlx2160a = " ddr-phy"
RCW_FOLDER:mpxlx2160a = "mpxlx2160a"
BOOTTYPE:mpxlx2160a = "flexspi_nor sd"
#DDR_PHY_BIN_PATH:mpxlx2160a = "${DEPLOY_DIR_IMAGE}/ddr-phy"

python do_patch:prepend() {
    if d.getVar('PATCHTOOL') == 'git':
        srcsubdir = d.getVar('S')
        bb.process.run('git config am.threeWay true', cwd=srcsubdir)
        bb.process.run('git config am.keepcr true', cwd=srcsubdir)
        bb.process.run('git config apply.whitespace fix', cwd=srcsubdir)
        bb.process.run('git config apply.ignoreWhitespace change', cwd=srcsubdir)
}

python() {

# PLATFORM should name the directory plat/nxp/soc-xxxx/$PLATFORM

    if d.getVar("MACHINE") == "mpxlx2160aacu":
        d.setVar("PLATFORM", "mpxlx2160a_acu")
    elif d.getVar("MACHINE") == "mpxlx2160acrx08":
        d.setVar("PLATFORM", "mpxlx2160acrx08")
}

# The package is empty which leads to problems when
# building the image with devtool. This fix lets devtool
# build the image with modified arm-trusted-firmware.
ALLOW_EMPTY:${PN} = "1"

do_compile:prepend() {
	if [ -f ${S}/localversion-microsys ]; then
	   BUILD_STRING=`cat ${S}/localversion-microsys`
	   export BUILD_STRING
	fi
}

SRC_URI += "file://qoriq-atf_2.4.patch"
