# Copyright 2017,2018 NXP

SUMMARY = "Add support for SJA1105 switch for MPXLS1046"
LICENSE = "GPLv2+ & MIT"
LIC_FILES_CHKSUM = "file://COPYING;md5=bac7a51138672c261de0ab4017b7c396"

# SJA for kernel 4.14

SRC_URI = "git://github.com/openil/sja1105-tool.git;protocol=https;nobranch=1"

# tag OpenIL-sja1105-tool-20181
SRCREV = "cf4724a3a1c70cca8e6f6e0f7edb456fb585b842"

DEPENDS = "libxml2 glib-2.0 pkgconfig pkgconfig-native"
INSANE_SKIP_${PN}-dev += "dev-elf"
INSANE_SKIP_sja1105-tool += "file-rdeps"

FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"
SRC_URI += "file://sja1105-1.conf \
	    file://sja1105-0.conf \
	    file://tsn \
"
S = "${WORKDIR}/git"


do_install:append(){

install -d ${D}${sysconfdir}/sja1105/
    install -d ${D}${sysconfdir}/init.d/
    install -d ${D}${sysconfdir}/rc5.d/
    install -d ${D}${libdir}/
    install -d ${D}${bindir}/

    install -m 0755 ${WORKDIR}/git/libsja1105.so ${D}${libdir}/libsja1105.so

	install -m 0755 ${WORKDIR}/git/sja1105-tool  ${D}${bindir}/sja1105-tool
    install -m 0755 ${WORKDIR}/sja1105-0.conf ${D}${sysconfdir}/sja1105/
    install -m 0755 ${WORKDIR}/sja1105-1.conf ${D}${sysconfdir}/sja1105/
    install -m 0755 ${WORKDIR}/tsn ${D}${sysconfdir}/init.d/
    cd ${D}${sysconfdir}/rc5.d/
    ln -s ../init.d/tsn S50tsn
}

PARALLEL_MAKE = ""
BBCLASSEXTEND = "native"
